com.amazonaws.codegen.customization.processors

## Class RenameShapesProcessor

- java.lang.Object
- - com.amazonaws.codegen.customization.processors.RenameShapesProcessor

All Implemented Interfaces:
  CodegenCustomizationProcessor

    public class RenameShapesProcessor
    extends Object
    implements CodegenCustomizationProcessor

### Constructor Summary

Constructors
Constructor and Description
`RenameShapesProcessor(Map<String,String> renameShapes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `postprocess(IntermediateModel intermediateModel)` Apply the customization after the intermediate model is built
`void` `preprocess(ServiceModel serviceModel)` Rename shapes for Member, Input, Output, ErrorMap, as well as the key for two maps: serviceModel.shape() and shapeModifiers

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RenameShapesProcessor

    public RenameShapesProcessor(Map<String,String> renameShapes)

### Method Detail

#### preprocess

    public void preprocess(ServiceModel serviceModel)

Rename shapes for Member, Input, Output, ErrorMap, as well as the key for two maps: serviceModel.shape() and shapeModifiers

Specified by:
  `preprocess` in interface `CodegenCustomizationProcessor`

#### postprocess

    public void postprocess(IntermediateModel intermediateModel)

Description copied from interface: `CodegenCustomizationProcessor`
Apply the customization after the intermediate model is built

Specified by:
  `postprocess` in interface `CodegenCustomizationProcessor`